Bug 526925 - [Back] button does not have a corresponding icon (like [Next] does)
[Back] button does not have a corresponding icon (like [Next] does)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
NeedsRetesting
: Reopened
Depends On:
Blocks: F12AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-10-02 10:47 EDT by James Laska
Modified: 2013-09-02 02:40 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-13.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-02 19:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot.png (503.10 KB, image/png)
2009-10-02 10:47 EDT, James Laska
no flags Details
tty1.png (616.19 KB, image/png)
2009-10-14 11:04 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-10-02 10:47:18 EDT
Created attachment 363491 [details]
Screenshot.png

Description of problem:

The Back button doesn't have a left-arrow icon to match the right-arrow icon that the Next button has.

Version-Release number of selected component (if applicable):

 * anaconda-12.32

Additional info:

 * See attached screenshot
Comment 1 Alexey Torkhov 2009-10-02 11:13:29 EDT
It is because gnome changed defaults — now by default images on buttons are not shown unless requested by app. Perhaps, arrow on next button could be hidden too, for consistency, but that's up to anaconda devs.
Comment 2 James Laska 2009-10-14 10:48:52 EDT
Still an issue with *only* the F-12 live images.  Tested using a live image build on rawhide-20091013 that included anaconda-12.38
Comment 3 James Laska 2009-10-14 11:04:32 EDT
Created attachment 364763 [details]
tty1.png

Attaching screenshot of error messages on tty1
Comment 4 James Laska 2009-10-14 11:09:06 EDT
Sorry, ignore last attachment, that was meant for another bug
Comment 5 Chris Lumens 2009-10-16 10:55:37 EDT
Closing as Rawhide for now.  We can always pull my fix onto f12-branch should this become a blocker.
Comment 6 James Laska 2009-10-27 11:00:41 EDT
It's currently on the F12Target.  I'd support taking this fix into f12-branch.  It's certainly not a high severity issue ... more a high visibility polish in my opinion.
Comment 7 James Laska 2009-10-27 11:26:21 EDT
I've discussed cherry-picking this patch [1] into the f12-branch with clumens.  I'm raising this for inclusion into F12 by adding blocks:F12Blocker.  See comment#6.  It's not a high severity issue, but a fit'n'finish issue with a low impact patch and affects only the live image experience.

[1] http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=06547c2f029f5f6d99c05166b3c7ccd3887f2770
Comment 8 David Cantrell 2009-10-29 20:10:21 EDT
I went ahead and pulled clumens' patch over from master to f12-branch.  Will be fixed in anaconda-12.42-1.
Comment 9 Adam Williamson 2009-10-30 12:17:46 EDT
This was discussed at the blocker meeting today. It's accepted as a polish fix for next anaconda build, but please make sure the button is still translated (add the 'translatable' property as is used for the forward button, or switch to using stock buttons, whichever is safer + less invasive).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Chris Lumens 2009-10-30 13:33:19 EDT
Done, anaconda-12.42-1.
Comment 11 Adam Williamson 2009-10-31 00:51:06 EDT
this is in the 12.42 build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=139122

tag request:

https://fedorahosted.org/rel-eng/ticket/2942

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Bill Nottingham 2009-11-02 16:20:24 EST
This should be in tomorrorow's (200911103) rawhide.
Comment 13 Adam Williamson 2009-11-02 19:18:53 EST
This is fixed; tested by booting an F12 Beta live CD vm, running the installer, verifying there was no arrow on the button, then updating the anaconda package to 12.42, running the installer again; now there's an arrow on the button. Closing. Re-open if anyone sees any problems here.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.